Debian Bug report logs - #637269
xserver-xorg-video-omap3: segmentation fault on armhf

version graph

Package: xserver-xorg-video-omap3; Maintainer for xserver-xorg-video-omap3 is Riku Voipio <riku.voipio@iki.fi>; Source for xserver-xorg-video-omap3 is src:xf86-video-omapfb.

Reported by: Sebastian Reichel <sre@debian.org>

Date: Wed, 10 Aug 2011 01:09:02 UTC

Severity: important

Found in version xf86-video-omapfb/0.1.1.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sre@debian.org, Riku Voipio <riku.voipio@iki.fi>:
Bug#637269; Package xserver-xorg-video-omap3. (Wed, 10 Aug 2011 01:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <sre@debian.org>:
New Bug report received and forwarded. Copy sent to sre@debian.org, Riku Voipio <riku.voipio@iki.fi>. (Wed, 10 Aug 2011 01:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-omap3: segmentation fault on armhf
Date: Wed, 10 Aug 2011 03:03:57 +0200
Package: xserver-xorg-video-omap3
Version: 0.1.1.1-1
Severity: important

Using this driver on armhf results in an Xorg segfault (directly after
starting it). Xorg starts fine with xserver-xorg-video-fbdev, so
the Xorg stuff should be ok.

Here is the gdb backtrace:

$ sudo gdb /usr/bin/Xorg 2>&1 | tee gdb-Xorg.txt
(gdb) run -keeptty -dumbSched
[...]
(gdb) bt
#0  0x4011806c in pixman_composite_src_n_0565_asm_neon () at ../../pixman/pixman-arm-neon-asm.h:692
#1  0x40113bb8 in pixman_fill_neon (imp=<value optimized out>, bits=<value optimized out>, stride=<value optimized out>, bpp=<value optimized out>, x=0, y=0, width=720, height=574, xor=0) at ../../pixman/pixman-arm-neon.c:203
#2  arm_neon_fill (imp=<value optimized out>, bits=<value optimized out>, stride=<value optimized out>, bpp=<value optimized out>, x=0, y=0, width=720, height=574, xor=0) at ../../pixman/pixman-arm-neon.c:451
#3  0x400d5d3a in _pixman_implementation_fill (imp=<value optimized out>, bits=<value optimized out>, stride=<value optimized out>, bpp=<value optimized out>, x=0, y=0, width=720, height=574, xor=0) at ../../pixman/pixman-implementation.c:241
#4  0x400f7c9e in pixman_fill (bits=0x4049a000, stride=400, bpp=16, x=<value optimized out>, y=0, width=720, height=574, xor=0) at ../../pixman/pixman.c:849
#5  0x40565578 in fbFill (pDrawable=<value optimized out>, pGC=0x1782e0, x=<value optimized out>, y=0, width=720, height=574) at ../../fb/fbfill.c:48
#6  0x40565a28 in fbPolyFillRect (pDrawable=0x178718, pGC=0x1782e0, nrect=<value optimized out>, prect=<value optimized out>) at ../../fb/fbfillrect.c:77
#7  0x000a2530 in damagePolyFillRect (pDrawable=0x178718, pGC=0x1782e0, nRects=1, pRects=0x1790d0) at ../../../miext/damage/damage.c:1357
#8  0x0004aaf4 in miPaintWindow (pWin=<value optimized out>, prgn=<value optimized out>, what=<value optimized out>) at ../../mi/miexpose.c:670
#9  0x0004ac94 in miWindowExposures (pWin=0x178718, prgn=0xbefff694, other_exposed=0x0) at ../../mi/miexpose.c:501
#10 0x00047f5e in MapWindow (pWin=0x178718, client=0x1499b0) at ../../dix/window.c:2690
#11 MapWindow (pWin=0x178718, client=0x1499b0) at ../../dix/window.c:2613
#12 0x000280b6 in main (argc=3, argv=0xbefff894, envp=<value optimized out>) at ../../dix/main.c:256

-- Sebastian




Information forwarded to debian-bugs-dist@lists.debian.org, Riku Voipio <riku.voipio@iki.fi>:
Bug#637269; Package xserver-xorg-video-omap3. (Tue, 08 May 2012 20:33:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex <fhlfibh@gmail.com>:
Extra info received and forwarded to list. Copy sent to Riku Voipio <riku.voipio@iki.fi>. (Tue, 08 May 2012 20:33:17 GMT) Full text and rfc822 format available.

Message #10 received at 637269@bugs.debian.org (full text, mbox):

From: Alex <fhlfibh@gmail.com>
To: 637269@bugs.debian.org
Subject: xserver-xorg-video-omap3: segmentation fault on armel
Date: Wed, 09 May 2012 00:31:37 +0400
[Message part 1 (text/plain, inline)]
Hi,

I can confirm the bug:
xserver-xorg-video-omap3 (and xserver-xorg-video-omapfb) causes kernel 
oops on armel too.
xserver-xorg-video-fbdev works with no problem though.

Package: xserver-xorg-video-omap3
Version: 0.1.1.1-1
Kernel: 2.6.29-omap1 (custom)
SoC: omap-3630 Cortex-A8 ARMv7 (IT tablet Archos 10-1 generation 8)
Distribution: Debian Wheezy

$ cat /var/log/Xorg.0.log | tail

  1.
       1308.678] (II) LoadModule: "omapfb"
  2.
     [  1308.682] (II) Loading /usr/lib/xorg/modules/drivers/omapfb_drv.so
  3.
     [  1308.685] (II) Module omapfb: vendor="X.Org Foundation"
  4.
     [  1308.687]    compiled for 1.11.4, module version = 0.1.1
  5.
     [  1308.688]    ABI class: X.Org Video Driver, version 11.0
  6.
     [  1308.688] (II) omapfb: Driver for OMAP framebuffer (omapfb) and
     external LCD controllers:
  7.
              omap1/2/3, S1D13745, HWA742
  8.
     [  1308.688] (--) using VT number 4
  9.
 10.
     [  1308.712] (WW) Falling back to old probe method for OMAPFB
 11.
     [  1308.713] (II) Loading /usr/lib/xorg/modules/drivers/omapfb_drv.so
 12.
     [  1308.713] (WW) VGA arbiter: cannot open kernel arbiter, no
     multi-card support
 13.
     [  1308.714] (WW) Error opening
     /sys/devices/platform/omapfb/ctrl/name: No such file or directory
 14.
     [  1308.714] (WW) Can't autodetect LCD controller, assuming internal
 15.
     [  1308.714] (II) LCD controller: internal
 16.
     [  1308.714] (II) omapfb(0): Base plane capabilities:
 17.
     [  1308.714] (II) omapfb(0): Base plane supports the following
     image formats:
 18.
     [  1308.715] (II) omapfb(0): VideoRAM: 9600KiB (SDRAM)
 19.
     [  1308.715] (--) omapfb(0): Depth 24, (==) framebuffer bpp 32
 20.
     [  1308.715] (==) omapfb(0): RGB weight 888
 21.
     [  1308.715] (==) omapfb(0): Default visual is TrueColor
 22.
     [  1308.715] (II) omapfb(0): Detecting outputs
 23.
     [  1308.716] (II) omapfb(0): Output lcd using monitor section LCD
 24.
     [  1308.716] (II) omapfb(0): Output hdmi has no monitor section
 25.
     [  1308.718] (II) omapfb(0): overlayPoolInit: Found 2
     framebuffers, 3 overlays and 2 managers
 26.
     [  1308.718] (II) omapfb(0): Printing probed modes for output lcd
 27.
     [  1308.718] (II) omapfb(0): Modeline "1024x600"x59.7   43.75
       1024 1104 1072 1184  600 603 606 619 (37.0 kHz)
 28.
     [  1308.718] (II) omapfb(0): Printing probed modes for output hdmi
 29.
     [  1308.718] (II) omapfb(0): Modeline "720x480"x60.0   27.03  720
     736 780 858  480 489 510 525 (31.5 kHz)
 30.
     [  1308.720] (II) omapfb(0): Output lcd connected
 31.
     [  1308.720] (II) omapfb(0): Output hdmi connected
 32.
     [  1308.721] (II) omapfb(0): Using sloppy heuristic for initial modes
 33.
     [  1308.721] (II) omapfb(0): Output lcd using initial mode 1024x600
 34.
     [  1308.721] (II) omapfb(0): Output hdmi using initial mode 720x480
 35.
     [  1308.721] (II) omapfb(0): Using default gamma of (1.0, 1.0,
     1.0) unless otherwise stated.
 36.
     [  1308.721] (II) omapfb(0): XRandR extension initialized
 37.
     [  1308.821] (--) omapfb(0): Virtual size is 1024x1200 (pitch 2048)
 38.
     [  1308.822] (**) omapfb(0):  Mode "720x480": 27.0 MHz, 31.5 kHz,
     60.0 Hz
 39.
     [  1308.822] (II) omapfb(0): Modeline "720x480"x60.0   27.03  720
     736 780 858  480 489 510 525 (31.5 kHz)
 40.
     [  1308.822] (**) omapfb(0): Display dimensions: (226, 128) mm
 41.
     [  1308.822] (**) omapfb(0): DPI set to (115, 238)
 42.
     [  1308.822] (--) Depth 24 pixmap format is 32 bpp
 43.
     [  1308.828] (II) Loading sub module "fb"
 44.
     [  1308.828] (II) LoadModule: "fb"
 45.
     [  1308.829] (II) Loading /usr/lib/xorg/modules/libfb.so
 46.
     [  1308.840] (II) Module fb: vendor="X.Org Foundation"
 47.
     [  1308.840]    compiled for 1.11.4, module version = 1.0.0
 48.
     [  1308.840]    ABI class: X.Org ANSI C Emulation, version 0.4


$ dmesg | tail

  1.
     OMAPFB: detaching 1
  2.
     omapdss DISPC error: GO bit not down for channel 0
  3.
     omapdss omapdss: regulator_enable omapdss-vdds_dsi enabled 0
  4.
     OMAPFB: user mmap region start 70000000, len 9830400, off 70000000
  5.
     OMAPFB: ioctl QUERY_PLANE
  6.
     Unable to handle kernel NULL pointer dereference at virtual
     address 000001b0
  7.
     pgd = cdb04000
  8.
     [000001b0] *pgd=00000000
  9.
     Internal error: Oops: 5 [#1] PREEMPT
 10.
     Modules linked in: omaplfb pvrsrvkm fuse ipv6 ocf_omap3_cryptok
     cryptodev(P) ocf(P) bridgedriver dspbridge nfs auth_rpcgss lockd
     sunrpc tiwlan_drv hdmicec mousedev hdmitx
 11.
     CPU: 0    Tainted: P            (2.6.29-omap1 #98)
 12.
     PC is at omapfb_blank+0x78/0x1d4
 13.
     LR is at omapfb_blank+0x70/0x1d4
 14.
     pc : [<c01ce79c>]    lr : [<c01ce794>]    psr: 60000013
 15.
     sp : cdaffd10  ip : cdaffd10  fp : cdaffd44
 16.
     r10: 00000000  r9 : cdafe000  r8 : cf0b6204
 17.
     r7 : 00000000  r6 : cf0b6200  r5 : 00000000  r4 : 00000000
 18.
     r3 : 00000000  r2 : 00000000  r1 : cf0a2c00  r0 : cf0b6204
 19.
     Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment user
 20.
     Control: 10c5387d  Table: 8db04019  DAC: 00000015
 21.
 22.
     PC: 0xc01ce71c:
 23.
     e71c  c04390fc c04aa8a8 e1a0c00d e92dd9f0 e24cb004 e24dd014
     e5913238 e1a07000
 24.
     e73c  e5930044 e5936054 e3500000 da00000d e5932048 e592103c
     e3510000 01a02001
 25.
     e75c  0a000005 ea00004d e593104c e2833004 e591103c e3510000
     1a000048 e2822001
 26.
     e77c  e1520000 bafffff7 e3a04000 e2868004 e1a00008 eb07112f
     e3570000 1a000031
 27.
     e79c  e59431b0 e3530002 1a00003a e5962058 e3520000 0a00000c
     e1a05006 e595305c
 28.
     e7bc  e2877001 e2855004 e5933238 e283000c e5933010 e3530000
     0a000001 ebfa6725
 29.
     e7dc  e5962058 e1520007 8afffff3 e1a00004 ebffbfdc e2505000
     1a00001e e59431e8
 30.
     e7fc  e3530000 0a00001b e1a00004 e12fff33 e3500002 1a000017
     e1a00008 eb0710b5
 31.
 32.
     LR: 0xc01ce714:
 33.
     e714  eaffffc9 c04fff0c c04390fc c04aa8a8 e1a0c00d e92dd9f0
     e24cb004 e24dd014
 34.
     e734  e5913238 e1a07000 e5930044 e5936054 e3500000 da00000d
     e5932048 e592103c
 35.
     e754  e3510000 01a02001 0a000005 ea00004d e593104c e2833004
     e591103c e3510000
 36.
     e774  1a000048 e2822001 e1520000 bafffff7 e3a04000 e2868004
     e1a00008 eb07112f
 37.
     e794  e3570000 1a000031 e59431b0 e3530002 1a00003a e5962058
     e3520000 0a00000c
 38.
     e7b4  e1a05006 e595305c e2877001 e2855004 e5933238 e283000c
     e5933010 e3530000
 39.
     e7d4  0a000001 ebfa6725 e5962058 e1520007 8afffff3 e1a00004
     ebffbfdc e2505000
 40.
     e7f4  1a00001e e59431e8 e3530000 0a00001b e1a00004 e12fff33
     e3500002 1a000017
 41.
 42.
     SP: 0xcdaffc90:
 43.
     fc90  00000000 cfb6b0c0 c047e01c cfb6b0c0 00000017 c0481068
     ffffffff cdaffcfc
 44.
     fcb0  cf0b6200 00000000 cdaffd44 cdaffcc8 c0048a70 c0048238
     cf0b6204 cf0a2c00
 45.
     fcd0  00000000 00000000 00000000 00000000 cf0b6200 00000000
     cf0b6204 cdafe000
 46.
     fcf0  00000000 cdaffd44 cdaffd10 cdaffd10 c01ce794 c01ce79c
     60000013 ffffffff
 47.
     fd10  00000000 00000000 00000000 00000000 00000000 cf0a2c00
     00000000 cf0a2c00
 48.
     fd30  cf0a2c08 c00490e8 cdaffd6c cdaffd48 c01a2de0 c01ce730
     c01a3f60 00000000
 49.
     fd50  cdaffd6c cdaffd60 c01a3f60 00000000 cdaffec4 cdaffd70
     c01a3d4c c01a2da8
 50.
     fd70  c00cab04 40444f35 cdaffda4 cdaffd88 c00c4274 c00b9834
     cf4d8570 0000005f
 51.
 52.
     IP: 0xcdaffc90:
 53.
     fc90  00000000 cfb6b0c0 c047e01c cfb6b0c0 00000017 c0481068
     ffffffff cdaffcfc
 54.
     fcb0  cf0b6200 00000000 cdaffd44 cdaffcc8 c0048a70 c0048238
     cf0b6204 cf0a2c00
 55.
     fcd0  00000000 00000000 00000000 00000000 cf0b6200 00000000
     cf0b6204 cdafe000
 56.
     fcf0  00000000 cdaffd44 cdaffd10 cdaffd10 c01ce794 c01ce79c
     60000013 ffffffff
 57.
     fd10  00000000 00000000 00000000 00000000 00000000 cf0a2c00
     00000000 cf0a2c00
 58.
     fd30  cf0a2c08 c00490e8 cdaffd6c cdaffd48 c01a2de0 c01ce730
     c01a3f60 00000000
 59.
     fd50  cdaffd6c cdaffd60 c01a3f60 00000000 cdaffec4 cdaffd70
     c01a3d4c c01a2da8
 60.
     fd70  c00cab04 40444f35 cdaffda4 cdaffd88 c00c4274 c00b9834
     cf4d8570 0000005f
 61.
 62.
     FP: 0xcdaffcc4:
 63.
     fcc4  c0048238 cf0b6204 cf0a2c00 00000000 00000000 00000000
     00000000 cf0b6200
 64.
     fce4  00000000 cf0b6204 cdafe000 00000000 cdaffd44 cdaffd10
     cdaffd10 c01ce794
 65.
     fd04  c01ce79c 60000013 ffffffff 00000000 00000000 00000000
     00000000 00000000
 66.
     fd24  cf0a2c00 00000000 cf0a2c00 cf0a2c08 c00490e8 cdaffd6c
     cdaffd48 c01a2de0
 67.
     fd44  c01ce730 c01a3f60 00000000 cdaffd6c cdaffd60 c01a3f60
     00000000 cdaffec4
 68.
     fd64  cdaffd70 c01a3d4c c01a2da8 c00cab04 40444f35 cdaffda4
     cdaffd88 c00c4274
 69.
     fd84  c00b9834 cf4d8570 0000005f cdafe000 cf1187b0 cdaffdc4
     cdaffda8 c00c5e5c
 70.
     fda4  c00c41d8 cfaf8740 0000005f cdafe000 cf1187b0 cdaffe1c
     cdaffdc8 c00c6308
 71.
 72.
     R0: 0xcf0b6184:
 73.
     6184  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 74.
     61a4  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 75.
     61c4  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 76.
     61e4  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 c0497ae0
 77.
     6204  00000000 cf0b6208 cf0b6208 00000000 000000aa 0000aa00
     0000aaaa 00000000
 78.
     6224  000000aa 00005500 0000aaaa 00005555 000055ff 0000ff55
     0000ffff 00005555
 79.
     6244  000055ff 0000ff55 0000ffff 00000000 00000000 00000002
     cf0a2c00 cf0a2800
 80.
     6264  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 81.
 82.
     R1: 0xcf0a2b80:
 83.
     2b80  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 84.
     2ba0  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 85.
     2bc0  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 86.
     2be0  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 87.
     2c00  00000000 00010000 00000000 cf0a2c0c cf0a2c0c 00000400
     00000258 00000400
 88.
     2c20  000004b0 00000000 00000000 00000020 00000000 00000010
     00000008 00000000
 89.
     2c40  00000008 00000008 00000000 00000000 00000008 00000000
     00000018 00000008
 90.
     2c60  00000000 00000000 00000000 0000007d 000000de 00000000
     00005949 00000050
 91.
 92.
     R6: 0xcf0b6180:
 93.
     6180  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 94.
     61a0  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 95.
     61c0  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 96.
     61e0  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
 97.
     6200  c0497ae0 00000000 cf0b6208 cf0b6208 00000000 000000aa
     0000aa00 0000aaaa
 98.
     6220  00000000 000000aa 00005500 0000aaaa 00005555 000055ff
     0000ff55 0000ffff
 99.
     6240  00005555 000055ff 0000ff55 0000ffff 00000000 00000000
     00000002 cf0a2c00
100.
     6260  cf0a2800 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
101.
102.
     R8: 0xcf0b6184:
103.
     6184  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
104.
     61a4  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
105.
     61c4  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
106.
     61e4  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 c0497ae0
107.
     6204  00000000 cf0b6208 cf0b6208 00000000 000000aa 0000aa00
     0000aaaa 00000000
108.
     6224  000000aa 00005500 0000aaaa 00005555 000055ff 0000ff55
     0000ffff 00005555
109.
     6244  000055ff 0000ff55 0000ffff 00000000 00000000 00000002
     cf0a2c00 cf0a2800
110.
     6264  00000000 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
111.
112.
     R9: 0xcdafdf80:
113.
     df80  00097b34 00000000 cdafdfa4 cdafdf98 c0085860 c0085770
     00000000 cdafdfa8
114.
     dfa0  c0048f40 c0085854 00097b34 00000000 00000000 00097b20
     00000000 00000000
115.
     dfc0  00097b34 00000000 00000000 000000f8 00000000 00000000
     40025000 00000000
116.
     dfe0  400c8530 bee3d8a8 000172e4 400c8560 60000010 00000000
     00040000 20200000
117.
     e000  00000000 00000002 00000000 cfb6b0c0 c0498858 00000000
     00000017 cdafe000
118.
     e020  cfb6b0c0 c04c2b40 c0481068 cfb6b230 c04bd940 c04a0c34
     cdaffd0c cdaffcd0
119.
     e040  c0391de4 00000000 00000000 00000000 00000000 00000000
     01000000 00000000
120.
     e060  400231b0 00000000 00000000 00000000 00000000 00000000
     00000000 00000000
121.
     Process X (pid: 2472, stack limit = 0xcdafe2e8)
122.
     Stack: (0xcdaffd10 to 0xcdb00000)
123.
     fd00:                                     00000000 00000000
     00000000 00000000
124.
     fd20: 00000000 cf0a2c00 00000000 cf0a2c00 cf0a2c08 c00490e8
     cdaffd6c cdaffd48
125.
     fd40: c01a2de0 c01ce730 c01a3f60 00000000 cdaffd6c cdaffd60
     c01a3f60 00000000
126.
     fd60: cdaffec4 cdaffd70 c01a3d4c c01a2da8 c00cab04 40444f35
     cdaffda4 cdaffd88
127.
     fd80: c00c4274 c00b9834 cf4d8570 0000005f cdafe000 cf1187b0
     cdaffdc4 cdaffda8
128.
     fda0: c00c5e5c c00c41d8 cfaf8740 0000005f cdafe000 cf1187b0
     cdaffe1c cdaffdc8
129.
     fdc0: c00c6308 c00c5e48 cdaffdf4 cdaffdd8 c00e4290 c00ce558
     2a1e5000 cfaf8780
130.
     fde0: 00000000 00000000 cdaffe4c cf4d84d0 c068d1a0 00000000
     cdaffe1c cdaffe08
131.
     fe00: c00c5e38 c0098880 cf1187b0 2a05f000 cdaffe6c cdaffe20
     c00d9b34 c00c5ddc
132.
     fe20: cdaffe74 00000000 cfa6f97c 00000000 00000000 0000005f
     2a05f000 c068d1a0
133.
     fe40: cdafff04 00000000 c04fa03c 00000000 cf1187b0 00000150
     0000005f cdb04000
134.
     fe60: cdaffec4 cdaffe70 c00dacb8 c00d98f0 0000005f 00000000
     00000000 00000000
135.
     fe80: cf5ac160 00000000 cfa6f97c cdb04a80 00000000 cfbe7e40
     00000000 cfbe7e40
136.
     fea0: c01a3f60 cf268ac0 00000000 00004611 c00490e8 00000000
     cdaffed4 cdaffec8
137.
     fec0: c01a3f90 c01a389c cdaffefc cdaffed8 c00ff280 c01a3f6c
     cfb17a78 00000817
138.
     fee0: 00000000 cf268ac0 00004611 00000006 cdafff7c cdafff00
     c00ff470 c00ff254
139.
     ff00: c0048264 c004fcdc c00a1abc c0062738 2a1c8704 00000000
     ffffffff 00000002
140.
     ff20: 00000030 cf4d20c0 cf4f9498 00002419 00000000 00000000
     cdafff6c cdafff48
141.
     ff40: c00f1704 c0121fdc 00000000 cdafff58 cfbfa140 cf268ac0
     00000000 00004611
142.
     ff60: 00000006 c00490e8 cdafe000 00000000 cdafffa4 cdafff80
     c00ff9f4 c00ff400
143.
     ff80: ffffffff 00000000 405f12b8 00000073 2a18bc84 00000036
     00000000 cdafffa8
144.
     ffa0: c0048f40 c00ff9c0 405f12b8 00000073 00000006 00004611
     00000000 00000006
145.
     ffc0: 405f12b8 00000073 2a18bc84 00000036 00000007 2a18bc8c
     00000060 bed9f5bc
146.
     ffe0: 00000020 bed9f580 405e0d04 403ab9dc 20000010 00000006
     00000000 00000000
147.
     Backtrace:
148.
     [<c01ce724>] (omapfb_blank+0x0/0x1d4) from [<c01a2de0>]
     (fb_blank+0x44/0x70)
149.
       r8:c00490e8 r7:cf0a2c08 r6:cf0a2c00 r5:00000000 r4:cf0a2c00
150.
     [<c01a2d9c>] (fb_blank+0x0/0x70) from [<c01a3d4c>]
     (do_fb_ioctl+0x4bc/0x6d0)
151.
       r5:00000000 r4:c01a3f60
152.
     [<c01a3890>] (do_fb_ioctl+0x0/0x6d0) from [<c01a3f90>]
     (fb_ioctl+0x30/0x34)
153.
     [<c01a3f60>] (fb_ioctl+0x0/0x34) from [<c00ff280>]
     (vfs_ioctl+0x38/0x98)
154.
     [<c00ff248>] (vfs_ioctl+0x0/0x98) from [<c00ff470>]
     (do_vfs_ioctl+0x7c/0x5c0)
155.
       r7:00000006 r6:00004611 r5:cf268ac0 r4:00000000
156.
     [<c00ff3f4>] (do_vfs_ioctl+0x0/0x5c0) from [<c00ff9f4>]
     (sys_ioctl+0x40/0x68)
157.
     [<c00ff9b4>] (sys_ioctl+0x0/0x68) from [<c0048f40>]
     (ret_fast_syscall+0x0/0x2c)
158.
       r7:00000036 r6:2a18bc84 r5:00000073 r4:405f12b8
159.
     Code: e1a00008 eb07112f e3570000 1a000031 (e59431b0)
160.
     ---[ end trace a5813531a5a2ece7 ]---

Also it's not possible to recompile the package with flags "-O2 
-mtune=cortex-a8 -march=armv7-a -mfpu=neon" (tested on qemu versatile).

Hope the info was helpful.

Regards,
Alex

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#637269; Package xserver-xorg-video-omap3. (Mon, 28 May 2012 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. (Mon, 28 May 2012 08:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 637269@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 637269@bugs.debian.org
Cc: sre@debian.org, fhlfibh@gmail.com
Subject: drop xserver-xorg-omapfb?
Date: Mon, 28 May 2012 11:20:52 +0300
Hi,

Perhaps it would make more sense to drop this package? There is now
xf86-video-omap, and getting it to work would probably be more use.
Meanwhile, -omapfb xorg server doesn't really give much advantage over
the plain fbdev server.

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Riku Voipio <riku.voipio@iki.fi>:
Bug#637269; Package xserver-xorg-video-omap3. (Mon, 28 May 2012 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <sre@debian.org>:
Extra info received and forwarded to list. Copy sent to Riku Voipio <riku.voipio@iki.fi>. (Mon, 28 May 2012 09:21:09 GMT) Full text and rfc822 format available.

Message #20 received at 637269@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 637269@bugs.debian.org, fhlfibh@gmail.com
Subject: Re: drop xserver-xorg-omapfb?
Date: Mon, 28 May 2012 11:17:31 +0200
[Message part 1 (text/plain, inline)]
On Mon, May 28, 2012 at 11:20:52AM +0300, Riku Voipio wrote:
> Perhaps it would make more sense to drop this package? There is now
> xf86-video-omap, and getting it to work would probably be more use.
> Meanwhile, -omapfb xorg server doesn't really give much advantage over
> the plain fbdev server.

Hi Riku,

Debian wheezy will be shipped with a 3.2 kernel, which does not even
have omapdrm in staging. xf86-video-omap won't work without the
omapdrm driver in the kernel (which is in staging since 3.3). To
get omapdrm working on OMAP3 CMA (Contiguous Memory Allocator) is
needed, which will probably be merged into 3.5.

Also xf86-video-omap in experimental is currently completly broken.
This can be fixed by updating it to the latest release, which
depends on omap support in libdrm, see [0].

=> xf86-video-omap is not an alternative for wheezy, but it
is more comfortable than -omapfb (xrandr!) and actively maintained.
I suggest to drop -omapfb once wheezy has been released.

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667572

-- Sebastian
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:30:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.